org.apache.maven.scm

## Class ScmTagParameters

- java.lang.Object
- - org.apache.maven.scm.ScmTagParameters

- All Implemented Interfaces:
    Serializable

      public class ScmTagParameters
      extends Object
      implements Serializable

  Since:
    1.2
  Author:
    olamy
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScmTagParameters()`
    `ScmTagParameters(String message)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()`
    `String` | `getScmRevision()`
    `boolean` | `isRemoteTagging()`
    `void` | `setMessage(String message)`
    `void` | `setRemoteTagging(boolean remoteTagging)`
    `void` | `setScmRevision(String scmRevision)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScmTagParameters

          public ScmTagParameters()

    - #### ScmTagParameters

          public ScmTagParameters(String message)

  - ### Method Detail

    - #### getMessage

          public String getMessage()

    - #### setMessage

          public void setMessage(String message)

    - #### isRemoteTagging

          public boolean isRemoteTagging()

    - #### setRemoteTagging

          public void setRemoteTagging(boolean remoteTagging)

    - #### getScmRevision

          public String getScmRevision()

    - #### setScmRevision

          public void setScmRevision(String scmRevision)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2003–2015. All rights reserved.